## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToNull Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces absolutely nothing. More...

`#include <FormatterToNull.hpp>`

Inheritance diagram for FormatterToNull:

[legend]
Collaboration diagram for FormatterToNull:

[legend]
List of all members.

## Public Methods

- FormatterToNull ()
    FormatterToNull instance constructor. More...
- virtual ~FormatterToNull ()
- virtual void setDocumentLocator (const LocatorType *const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement (const XMLCh *const name, AttributeListType &attrs)
- virtual void endElement (const XMLCh *const name)
- virtual void characters (const XMLCh *const chars, const unsigned int length)
- virtual void charactersRaw (const XMLCh *const chars, const unsigned int length)
- virtual void entityReference (const XMLCh *const name)
- virtual void ignorableWhitespace (const XMLCh *const chars, const unsigned int length)
- virtual void processingInstruction (const XMLCh *const target, const XMLCh *const data)
- virtual void resetDocument ()
- virtual void comment (const XMLCh *const data)
- virtual void cdata (const XMLCh *const ch, const unsigned int length)

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces absolutely nothing.

This is useful for profiling situations where serialization obscures things.

## Constructor & Destructor Documentation

FormatterToNull::FormatterToNull ( | )`[explicit]`

| FormatterToNull instance constructor.

FormatterToNull::~FormatterToNull ( | )`[virtual]`

## Member Function Documentation

void FormatterToNull::cdata ( | const XMLCh *const ch,
| const unsigned int length )`[virtual]`

void FormatterToNull::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToNull::charactersRaw ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToNull::comment ( | const XMLCh *const data )`[virtual]`

void FormatterToNull::endDocument ( | )`[virtual]`

void FormatterToNull::endElement ( | const XMLCh *const name )`[virtual]`

void FormatterToNull::entityReference ( | const XMLCh *const name )`[virtual]`

void FormatterToNull::ignorableWhitespace ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToNull::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

void FormatterToNull::resetDocument ( | )`[virtual]`

void FormatterToNull::setDocumentLocator ( | const LocatorType *const locator )`[virtual]`

void FormatterToNull::startDocument ( | )`[virtual]`

void FormatterToNull::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

The documentation for this class was generated from the following file:

- FormatterToNull.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.